Package com.xebialabs.xlrelease.domain.events

# Class ActivityLogEvent$

java.lang.Object
scala.runtime.AbstractFunction7<String,String,String,String,Date,String,String,ActivityLogEvent>
com.xebialabs.xlrelease.domain.events.ActivityLogEvent$

All Implemented Interfaces:
  `Serializable`, `scala.Function7<String,String,String,String,Date,String,String,ActivityLogEvent>`

public class ActivityLogEvent$ extends scala.runtime.AbstractFunction7<String,String,String,String,Date,String,String,ActivityLogEvent> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ActivityLogEvent$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActivityLogEvent$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ActivityLogEvent`
  `apply(String releaseId, String id, String activityType, String message, Date eventTime, String targetType, String targetId)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple7<String,String,String,String,Date,String,String>>`
  `unapply(ActivityLogEvent x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction7

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final ActivityLogEvent$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### ActivityLogEvent$

    public ActivityLogEvent$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function7<String,String,String,String,Date,String,String,ActivityLogEvent>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction7<String,String,String,String,Date,String,String,ActivityLogEvent>`

  - ### apply

    public ActivityLogEvent apply(String releaseId, String id, String activityType, String message, Date eventTime, String targetType, String targetId)
    Specified by:
      `apply` in interface `scala.Function7<String,String,String,String,Date,String,String,ActivityLogEvent>`

  - ### unapply

    public scala.Option<scala.Tuple7<String,String,String,String,Date,String,String>> unapply(ActivityLogEvent x$0)